#local R = 1750/2 * M;
#local R1 = 50 * M;
#local L = 3000 * M;
#local W = 500;

#debug concat("M = ", str(M, 0, 0), "\n")

#declare mittelteil = 
    union {
	lathe {
	    bezier_spline
	    12
	    <0,       -30*L/60>
	    <16*R/35, -25*L/60>
	    <R,       -20*L/60>
	    <R,       -11*L/60>

	    <R,       -10*L/60>
	    <R,       - 5*L/60>
	    <R,       + 5*L/60>
	    <R,       +10*L/60>

	    <R,       +11*L/60>
	    <R,       +20*L/60>
	    <16*R/35, +25*L/60>
	    <0,       +30*L/60>
	    texture { pigment { color <0.3, 0.3, 0.3> } }
	}
	torus {
	    R, R1
	    texture { pigment { color <0.6, 0.6, 0.6> } }
	    translate <0, L/6, 0>
	}
	torus {
	    R, R1
	    texture { pigment { color <0.6, 0.6, 0.6> } }
	    translate <0, -L/6, 0>
	}
	rotate <0, 0, 90>
    }
