#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <0, 4.8, 0>
    color White
}

#local CP = <0, 2, 5>;
light_source {
    CP
    color White*0.5
}
camera {
        location CP
        look_at <-0, 1, -5>
	//angle 40
}

#include "huelle.pov"
#include "zentrale.pov"

    object {
	zentrale
    }


cylinder {
    <0, 0, 0>,
    <0, -1, 0>, 1000
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

cone {
    <0, 0, 0>, 0
    <1000, 0, 0>, 10
    pigment { color <1, 0, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 1000, 0>, 10
    pigment { color <0, 1, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 0, 1000>, 10
    pigment { color <0, 0, 1> }
}
