#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"
#include "T_BlackMetal.pov"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-200, 200, -200>
    color White
}
light_source {
    <0, 0, -10>
    color White
}
camera {
        location <-0, 1.8, -15>
        look_at <-0, 5, -0>
}

#include "Hyperfunk.pov"

object {
    Hyperfunk
    translate <0, 0, 0>
}


plane {
    <0, 1, 0>, 0.3
    pigment {
	checker color White*0.7, color White*0.5
    }
}

