#include "colors.inc"
#include "buckyball.pov"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}

light_source {
    <2000, 2000, 2000>
    color White
}


#declare Camera_Ortho_pl = 0;
#declare Camera_Ortho_v1 = 0;
#declare Camera_Ortho_v2 = 0;
#declare Camera_Ortho_v3 = 0;
#declare Camera_Ortho_eq = 0;
#declare Camera_Persp = 1;


#if (Camera_Ortho_pl)
camera {
        location <5, 0, 0>
        look_at <0, 0, 0>
	rotate <0, 0, 90>
	angle 40
	orthographic

}
#end
#if (Camera_Ortho_v1)
camera {
        location <5, 0, 0>
        look_at <0, 0, 0>
	rotate <0, 0, 90>
	rotate <0, 0, v1>
	rotate <0, 0, 0>
	angle 40
	orthographic

}
#end
#if (Camera_Ortho_v2)
camera {
        location <5, 0, 0>
        look_at <0, 0, 0>
	rotate <0, 0, 90>
	rotate <0, 0, v2>
	rotate <0, 36, 0>
	angle 40
	orthographic

}
#end
#if (Camera_Ortho_v3)
camera {
        location <5, 0, 0>
        look_at <0, 0, 0>
	rotate <0, 0, 90>
	rotate <0, 0, v3>
	rotate <0, 0, 0>
	angle 40
	orthographic

}
#end
#if (Camera_Ortho_eq)
camera {
        location <5, 0, 0>
        look_at <0, 0, 0>
	angle 40
	orthographic

}
#end

#if (Camera_Persp)
camera {
        location <5, 4, 3>
        look_at <0, 0, 0>
	angle 40

}
#end


object {
    buckyball
}


#if (1)
plane {
    <1, 0, 0>, -10
    pigment {
	checker color White*0.7, color White*0.5
    }
}
plane {
    <0, 1, 0>, -10
    pigment {
	checker color White*0.7, color White*0.5
    }
}
plane {
    <0, 0, 1>, -10
    pigment {
	checker color White*0.7, color White*0.5
    }
}
#end
