#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
light_source {
    <-200, 200, -200>
    color White
}
camera {
        location <0, 0, -40>
        look_at <0, 0, 0>
}

#declare Strut_Ext = 0
#include "strut.pov"
object { Strut translate <-15, 0, 0>}

#declare Strut_Ext = 0.5
#include "strut.pov"
object { Strut translate <0, 0, 0>}

#declare Strut_Ext = 1
#include "strut.pov"
object { Strut translate <15, 0, 0>}

plane {
    <0, 1, 0>, -13.7
    pigment {
	checker color White*0.7, color White*0.5
    }
}

